#include <iostream>

using namespace std;
void razmeni(int a,int b)
{
    int p=a;
    a=b;
    b=p;
}
int sudar(int n,int m)
{
int c=0,i=1;
if(m>n)
razmeni(n,m);
while(m>0)
{
if(m%10<n%10)
{
    c=c+n%10*i;
    i*=10;
}
else
if(m%10>n%10)
    {
    c=c+m%10*i;
    i*=10;
    }
else
{
    c=c+m%10*i+m%10*(i*10);
    i=i*100;
}
m/=10;
n/=10;
}
while(n>0)
{
c=c+n%10*i;
n/=10;
}
return c;
}
int main()
{
    int n,m;
    cin>>n>>m;
    cout<<sudar(n,m);
    return 0;
}